---
schema_version: "1"
id: d5209bde45ed264558ea7fb9e56e4ae1101dc2d09b22d5b7fd104330defb6bd2
title: Get Object Metadata Changes
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/platform/api-rest/guides/do-me/sobject-describe-with-ifmodified-header.md
canonical_url: https://developer.salesforce.com/docs/platform/api-rest/guide/sobject-describe-with-ifmodified-header.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: a754a8e7f7d55910a6de743377708b42897693854ce358e804cf6f87890bb809
products:
  - REST API Developer Guide
  - Platform Developer Content
---

# Get Object Metadata Changes

Use the sObject Describe resource and the `If-Modified-Since` HTTP header to determine if object metadata has changed.

You can include the `If-Modified-Since` header with a date in `EEE, dd MMM yyyy HH:mm:ss z` format when you use the [sObject Describe](https://developer.salesforce.com/docs/platform/api-rest/resources/resources-sobject-describe.md) resource. If you do, response metadata will only be returned if the object metadata has changed since the provided date. If the metadata has not been modified since the provided date, a `304 Not Modified` status code is returned, with no response body.

The following example assumes that no changes, such as new custom fields, have been made to the Merchandise__c object after July 3rd, 2013.

## Example sObject Describe request

```nolang
curl https://MyDomainName.my.salesforce.com/services/data/v68.0/sobjects/Merchandise__c/describe -H "Authorization: Bearer token" -H "If-Modified-Since: Wed, 3 Jul 2013 19:43:31 GMT"
```

## Example response body

No response body returned

## Example response status code

```nolang
HTTP/1.1 304 Not Modified
Date: Fri, 12 Jul 2013 05:03:24 GMT
```

If there were changes to Merchandise__c made after July 3rd, 2013, the response body would contain the metadata for Merchandise__c. See [Get Field and Other Metadata for an Object](https://developer.salesforce.com/docs/platform/api-rest/guide/dome-sobject-describe.md) for an example.

